> ## Documentation Index
> Fetch the complete documentation index at: https://hyperbrowser.ai/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get list of sandbox snapshots



## OpenAPI

````yaml openapi.json GET /api/snapshots
openapi: 3.0.1
info:
  title: Hyperbrowser API
  version: 1.0.0
servers:
  - url: https://api.hyperbrowser.ai
    description: Production server
security: []
paths:
  /api/snapshots:
    get:
      tags:
        - Snapshots
      summary: Get list of sandbox snapshots
      parameters:
        - name: imageName
          in: query
          required: false
          description: Filter by source image name
          schema:
            type: string
        - name: status
          in: query
          required: false
          description: Filter by snapshot status. Repeat to include multiple statuses.
          style: form
          explode: true
          schema:
            type: array
            items:
              type: string
              enum:
                - creating
                - created
                - failed
        - name: search
          in: query
          required: false
          description: Search by snapshot name
          schema:
            type: string
        - name: page
          in: query
          required: false
          description: Page number
          schema:
            type: integer
            default: 1
        - name: limit
          in: query
          required: false
          description: Page size (max 100)
          schema:
            type: integer
            default: 20
      responses:
        '200':
          description: Paginated list of snapshots
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SandboxSnapshotListResponse'
      security:
        - ApiKeyAuth: []
components:
  schemas:
    SandboxSnapshotListResponse:
      type: object
      properties:
        snapshots:
          type: array
          items:
            $ref: '#/components/schemas/SandboxSnapshot'
        totalCount:
          type: integer
        page:
          type: integer
        perPage:
          type: integer
      required:
        - snapshots
        - totalCount
        - page
        - perPage
    SandboxSnapshot:
      type: object
      properties:
        id:
          type: string
          format: uuid
        snapshotName:
          type: string
        namespace:
          type: string
        imageNamespace:
          type: string
        imageName:
          type: string
        imageId:
          type: string
          format: uuid
        vcpus:
          type: integer
          nullable: true
        memMiB:
          type: integer
          nullable: true
        diskSizeMiB:
          type: integer
          nullable: true
        status:
          type: string
          enum:
            - creating
            - created
            - failed
        metadata:
          type: object
        uploaded:
          type: boolean
        createdAt:
          type: string
          format: date-time
        updatedAt:
          type: string
          format: date-time
      required:
        - id
        - snapshotName
        - namespace
        - imageName
        - status
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: x-api-key

````